# V1Options class

V1Options stores the options passed into the v1 function. clockSeq (Number between 0 - 0x3fff) RFC clock sequence. Default: An internally maintained clockseq is used. mSecs is the time in milliseconds since the unix epoch. Defualt: Now. nSecs is the number of 100-nanosecond intervals since the last mSecs. Ignored if `msecs` is unspecified. Default: internal uuid counter is used, as per 4.2.1.2. node Node id as List of 6 bytes (per 4.1.6). Default: Randomnly generated ID. seedBytes is the random bytes to use to generate the node id and clock sequence. Primarily used for testing, or recreating a UUID

## Constructors

V1Options(int? clockSeq, int? mSecs, int? nSecs, List<int>? node, List<int>? seedBytes)
  const

## Properties

clockSeq → int?
  final
hashCode → int
  The hash code for this object.
  no setter inherited
mSecs → int?
  final
node → List<int>?
  final
nSecs → int?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
seedBytes → List<int>?
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited